summaryrefslogtreecommitdiffstats
path: root/jjb/sandbox
diff options
context:
space:
mode:
Diffstat (limited to 'jjb/sandbox')
-rwxr-xr-xjjb/sandbox/basic.sh63
-rwxr-xr-xjjb/sandbox/build.sh63
-rwxr-xr-xjjb/sandbox/deploy.sh63
-rwxr-xr-xjjb/sandbox/functest.sh61
-rwxr-xr-xjjb/sandbox/merge.sh61
-rwxr-xr-xjjb/sandbox/promote.sh61
-rw-r--r--jjb/sandbox/sandbox-daily-jobs.yml264
-rw-r--r--jjb/sandbox/sandbox-merge-jobs.yml159
-rw-r--r--jjb/sandbox/sandbox-verify-jobs.yml234
-rw-r--r--jjb/sandbox/sandbox-weekly-jobs.yml264
-rwxr-xr-xjjb/sandbox/test.sh63
-rwxr-xr-xjjb/sandbox/yardstick.sh61
12 files changed, 0 insertions, 1417 deletions
diff --git a/jjb/sandbox/basic.sh b/jjb/sandbox/basic.sh
deleted file mode 100755
index 33268558c..000000000
--- a/jjb/sandbox/basic.sh
+++ /dev/null
@@ -1,63 +0,0 @@
-#!/bin/bash
-#set -o errexit
-#set -o nounset
-#set -o pipefail
-
-# get the job type
-# we only support verify, merge, daily and weekly jobs
-if [[ "$JOB_NAME" =~ (verify|merge|daily|weekly) ]]; then
- JOB_TYPE=${BASH_REMATCH[0]}
-else
- echo "Unable to determine job type!"
- exit 1
-fi
-
-# do stuff differently based on the job type
-case "$JOB_TYPE" in
- verify)
- echo "Running as part of verify job"
- ;;
- merge)
- echo "Running as part of merge job"
- ;;
- daily)
- echo "Running as part of daily job"
- ;;
- weekly)
- echo "Running as part of weekly job"
- ;;
- *)
- echo "Job type $JOB_TYPE is not supported!"
- exit 1
-esac
-
-# this just shows we can get the patch/commit information
-# no matter what job we are executed by
-cd $WORKSPACE
-echo
-echo "Commit Message is"
-echo "-------------------------------------"
-git log --format=%B -n 1 $(git rev-parse HEAD)
-echo "-------------------------------------"
-echo
-echo "Repo contents"
-echo "-------------------------------------"
-ls -al
-echo "-------------------------------------"
-echo
-echo "Changed files are"
-echo "-------------------------------------"
-git diff origin/master --name-only
-echo "-------------------------------------"
-echo
-echo "Change introduced"
-echo "-------------------------------------"
-git diff origin/master
-echo "-------------------------------------"
-echo
-echo "git show"
-echo "-------------------------------------"
-git show
-echo "-------------------------------------"
-
-sleep 60
diff --git a/jjb/sandbox/build.sh b/jjb/sandbox/build.sh
deleted file mode 100755
index 33268558c..000000000
--- a/jjb/sandbox/build.sh
+++ /dev/null
@@ -1,63 +0,0 @@
-#!/bin/bash
-#set -o errexit
-#set -o nounset
-#set -o pipefail
-
-# get the job type
-# we only support verify, merge, daily and weekly jobs
-if [[ "$JOB_NAME" =~ (verify|merge|daily|weekly) ]]; then
- JOB_TYPE=${BASH_REMATCH[0]}
-else
- echo "Unable to determine job type!"
- exit 1
-fi
-
-# do stuff differently based on the job type
-case "$JOB_TYPE" in
- verify)
- echo "Running as part of verify job"
- ;;
- merge)
- echo "Running as part of merge job"
- ;;
- daily)
- echo "Running as part of daily job"
- ;;
- weekly)
- echo "Running as part of weekly job"
- ;;
- *)
- echo "Job type $JOB_TYPE is not supported!"
- exit 1
-esac
-
-# this just shows we can get the patch/commit information
-# no matter what job we are executed by
-cd $WORKSPACE
-echo
-echo "Commit Message is"
-echo "-------------------------------------"
-git log --format=%B -n 1 $(git rev-parse HEAD)
-echo "-------------------------------------"
-echo
-echo "Repo contents"
-echo "-------------------------------------"
-ls -al
-echo "-------------------------------------"
-echo
-echo "Changed files are"
-echo "-------------------------------------"
-git diff origin/master --name-only
-echo "-------------------------------------"
-echo
-echo "Change introduced"
-echo "-------------------------------------"
-git diff origin/master
-echo "-------------------------------------"
-echo
-echo "git show"
-echo "-------------------------------------"
-git show
-echo "-------------------------------------"
-
-sleep 60
diff --git a/jjb/sandbox/deploy.sh b/jjb/sandbox/deploy.sh
deleted file mode 100755
index 33268558c..000000000
--- a/jjb/sandbox/deploy.sh
+++ /dev/null
@@ -1,63 +0,0 @@
-#!/bin/bash
-#set -o errexit
-#set -o nounset
-#set -o pipefail
-
-# get the job type
-# we only support verify, merge, daily and weekly jobs
-if [[ "$JOB_NAME" =~ (verify|merge|daily|weekly) ]]; then
- JOB_TYPE=${BASH_REMATCH[0]}
-else
- echo "Unable to determine job type!"
- exit 1
-fi
-
-# do stuff differently based on the job type
-case "$JOB_TYPE" in
- verify)
- echo "Running as part of verify job"
- ;;
- merge)
- echo "Running as part of merge job"
- ;;
- daily)
- echo "Running as part of daily job"
- ;;
- weekly)
- echo "Running as part of weekly job"
- ;;
- *)
- echo "Job type $JOB_TYPE is not supported!"
- exit 1
-esac
-
-# this just shows we can get the patch/commit information
-# no matter what job we are executed by
-cd $WORKSPACE
-echo
-echo "Commit Message is"
-echo "-------------------------------------"
-git log --format=%B -n 1 $(git rev-parse HEAD)
-echo "-------------------------------------"
-echo
-echo "Repo contents"
-echo "-------------------------------------"
-ls -al
-echo "-------------------------------------"
-echo
-echo "Changed files are"
-echo "-------------------------------------"
-git diff origin/master --name-only
-echo "-------------------------------------"
-echo
-echo "Change introduced"
-echo "-------------------------------------"
-git diff origin/master
-echo "-------------------------------------"
-echo
-echo "git show"
-echo "-------------------------------------"
-git show
-echo "-------------------------------------"
-
-sleep 60
diff --git a/jjb/sandbox/functest.sh b/jjb/sandbox/functest.sh
deleted file mode 100755
index 2f9be2729..000000000
--- a/jjb/sandbox/functest.sh
+++ /dev/null
@@ -1,61 +0,0 @@
-#!/bin/bash
-#set -o errexit
-#set -o nounset
-#set -o pipefail
-
-# get the job type
-# we only support verify, merge, daily and weekly jobs
-if [[ "$JOB_NAME" =~ (verify|merge|daily|weekly) ]]; then
- JOB_TYPE=${BASH_REMATCH[0]}
-else
- echo "Unable to determine job type!"
- exit 1
-fi
-
-# do stuff differently based on the job type
-case "$JOB_TYPE" in
- verify)
- echo "Running as part of verify job"
- ;;
- merge)
- echo "Running as part of merge job"
- ;;
- daily)
- echo "Running as part of daily job"
- ;;
- weekly)
- echo "Running as part of weekly job"
- ;;
- *)
- echo "Job type $JOB_TYPE is not supported!"
- exit 1
-esac
-
-# this just shows we can get the patch/commit information
-# no matter what job we are executed by
-cd $WORKSPACE
-echo
-echo "Commit Message is"
-echo "-------------------------------------"
-git log --format=%B -n 1 $(git rev-parse HEAD)
-echo "-------------------------------------"
-echo
-echo "Repo contents"
-echo "-------------------------------------"
-ls -al
-echo "-------------------------------------"
-echo
-echo "Changed files are"
-echo "-------------------------------------"
-git diff origin/master --name-only
-echo "-------------------------------------"
-echo
-echo "Change introduced"
-echo "-------------------------------------"
-git diff origin/master
-echo "-------------------------------------"
-echo
-echo "git show"
-echo "-------------------------------------"
-git show
-echo "-------------------------------------"
diff --git a/jjb/sandbox/merge.sh b/jjb/sandbox/merge.sh
deleted file mode 100755
index 2f9be2729..000000000
--- a/jjb/sandbox/merge.sh
+++ /dev/null
@@ -1,61 +0,0 @@
-#!/bin/bash
-#set -o errexit
-#set -o nounset
-#set -o pipefail
-
-# get the job type
-# we only support verify, merge, daily and weekly jobs
-if [[ "$JOB_NAME" =~ (verify|merge|daily|weekly) ]]; then
- JOB_TYPE=${BASH_REMATCH[0]}
-else
- echo "Unable to determine job type!"
- exit 1
-fi
-
-# do stuff differently based on the job type
-case "$JOB_TYPE" in
- verify)
- echo "Running as part of verify job"
- ;;
- merge)
- echo "Running as part of merge job"
- ;;
- daily)
- echo "Running as part of daily job"
- ;;
- weekly)
- echo "Running as part of weekly job"
- ;;
- *)
- echo "Job type $JOB_TYPE is not supported!"
- exit 1
-esac
-
-# this just shows we can get the patch/commit information
-# no matter what job we are executed by
-cd $WORKSPACE
-echo
-echo "Commit Message is"
-echo "-------------------------------------"
-git log --format=%B -n 1 $(git rev-parse HEAD)
-echo "-------------------------------------"
-echo
-echo "Repo contents"
-echo "-------------------------------------"
-ls -al
-echo "-------------------------------------"
-echo
-echo "Changed files are"
-echo "-------------------------------------"
-git diff origin/master --name-only
-echo "-------------------------------------"
-echo
-echo "Change introduced"
-echo "-------------------------------------"
-git diff origin/master
-echo "-------------------------------------"
-echo
-echo "git show"
-echo "-------------------------------------"
-git show
-echo "-------------------------------------"
diff --git a/jjb/sandbox/promote.sh b/jjb/sandbox/promote.sh
deleted file mode 100755
index 2f9be2729..000000000
--- a/jjb/sandbox/promote.sh
+++ /dev/null
@@ -1,61 +0,0 @@
-#!/bin/bash
-#set -o errexit
-#set -o nounset
-#set -o pipefail
-
-# get the job type
-# we only support verify, merge, daily and weekly jobs
-if [[ "$JOB_NAME" =~ (verify|merge|daily|weekly) ]]; then
- JOB_TYPE=${BASH_REMATCH[0]}
-else
- echo "Unable to determine job type!"
- exit 1
-fi
-
-# do stuff differently based on the job type
-case "$JOB_TYPE" in
- verify)
- echo "Running as part of verify job"
- ;;
- merge)
- echo "Running as part of merge job"
- ;;
- daily)
- echo "Running as part of daily job"
- ;;
- weekly)
- echo "Running as part of weekly job"
- ;;
- *)
- echo "Job type $JOB_TYPE is not supported!"
- exit 1
-esac
-
-# this just shows we can get the patch/commit information
-# no matter what job we are executed by
-cd $WORKSPACE
-echo
-echo "Commit Message is"
-echo "-------------------------------------"
-git log --format=%B -n 1 $(git rev-parse HEAD)
-echo "-------------------------------------"
-echo
-echo "Repo contents"
-echo "-------------------------------------"
-ls -al
-echo "-------------------------------------"
-echo
-echo "Changed files are"
-echo "-------------------------------------"
-git diff origin/master --name-only
-echo "-------------------------------------"
-echo
-echo "Change introduced"
-echo "-------------------------------------"
-git diff origin/master
-echo "-------------------------------------"
-echo
-echo "git show"
-echo "-------------------------------------"
-git show
-echo "-------------------------------------"
diff --git a/jjb/sandbox/sandbox-daily-jobs.yml b/jjb/sandbox/sandbox-daily-jobs.yml
deleted file mode 100644
index fc7244e41..000000000
--- a/jjb/sandbox/sandbox-daily-jobs.yml
+++ /dev/null
@@ -1,264 +0,0 @@
-- project:
- name: 'sandbox-daily-jobs'
-
- project: 'sandbox'
-
- installer: 'sandbox'
-
-#--------------------------------
-# BRANCH ANCHORS
-#--------------------------------
- master: &master
- stream: master
- branch: '{stream}'
- gs-pathname: ''
-#--------------------------------
-# POD, INSTALLER, AND BRANCH MAPPING
-#--------------------------------
-# CI PODs
-#--------------------------------
- pod:
- - baremetal:
- slave-label: sandbox-baremetal
- <<: *master
- - virtual:
- slave-label: fuel-virtual
- <<: *master
-#--------------------------------
-# None-CI PODs
-#--------------------------------
- - dummy-pod1:
- slave-label: dummy-pod1
- <<: *master
-#--------------------------------
-# scenarios
-#--------------------------------
- scenario:
- # HA scenarios
- - 'os-nosdn-nofeature-ha':
- auto-trigger-name: 'daily-trigger-disabled'
- - 'os-odl_l2-nofeature-ha':
- auto-trigger-name: 'daily-trigger-disabled'
-
- jobs:
- - 'sandbox-{scenario}-{pod}-daily-{stream}'
- - 'sandbox-deploy-{pod}-daily-{stream}'
- - 'yardstick-sandbox-{pod}-daily-{stream}'
- - 'functest-sandbox-{pod}-daily-{stream}'
-
-########################
-# job templates
-########################
-- job-template:
- name: 'sandbox-{scenario}-{pod}-daily-{stream}'
-
- concurrent: false
-
- properties:
- - throttle:
- enabled: true
- max-total: 4
- max-per-node: 1
- option: 'project'
- - build-blocker:
- use-build-blocker: true
- blocking-jobs:
- - 'sandbox-os-.*?-{pod}-daily-{stream}'
- block-level: 'NODE'
-
- wrappers:
- - build-name:
- name: '$BUILD_NUMBER - Scenario: $DEPLOY_SCENARIO'
-
- triggers:
- - '{auto-trigger-name}'
-
- parameters:
- - project-parameter:
- project: '{project}'
- - '{installer}-defaults'
- - '{slave-label}-defaults'
- - string:
- name: DEPLOY_SCENARIO
- default: '{scenario}'
-
- builders:
- - description-setter:
- description: "Built on $NODE_NAME"
- - trigger-builds:
- - project: 'sandbox-deploy-{pod}-daily-{stream}'
- current-parameters: false
- predefined-parameters:
- DEPLOY_SCENARIO={scenario}
- same-node: true
- block: true
- - trigger-builds:
- - project: 'yardstick-sandbox-{pod}-daily-{stream}'
- current-parameters: false
- predefined-parameters:
- DEPLOY_SCENARIO={scenario}
- same-node: true
- block: true
- block-thresholds:
- build-step-failure-threshold: 'never'
- failure-threshold: 'never'
- unstable-threshold: 'FAILURE'
- - trigger-builds:
- - project: 'functest-sandbox-{pod}-daily-{stream}'
- current-parameters: false
- predefined-parameters:
- DEPLOY_SCENARIO={scenario}
- block: true
- same-node: true
- block-thresholds:
- build-step-failure-threshold: 'never'
- failure-threshold: 'never'
- unstable-threshold: 'FAILURE'
-
-- job-template:
- name: 'sandbox-deploy-{pod}-daily-{stream}'
-
- concurrent: true
-
- properties:
- - throttle:
- enabled: true
- max-total: 4
- max-per-node: 1
- option: 'project'
- - build-blocker:
- use-build-blocker: true
- blocking-jobs:
- - 'fuel-deploy-{pod}-daily-{stream}'
- - 'fuel-deploy-generic-daily-.*'
- block-level: 'NODE'
-
- parameters:
- - project-parameter:
- project: '{project}'
- - '{installer}-defaults'
- - '{slave-label}-defaults'
- - string:
- name: DEPLOY_SCENARIO
- default: 'os-odl_l2-nofeature-ha'
-
- scm:
- - git-scm:
- credentials-id: '{ssh-credentials}'
- refspec: ''
- branch: '{branch}'
-
- wrappers:
- - build-name:
- name: '$BUILD_NUMBER - Scenario: $DEPLOY_SCENARIO'
-
- builders:
- - description-setter:
- description: "Built on $NODE_NAME"
- - 'sandbox-deploy-daily-builder'
-
-- job-template:
- name: 'yardstick-sandbox-{pod}-daily-{stream}'
-
- concurrent: true
-
- properties:
- - throttle:
- enabled: true
- max-per-node: 1
- option: 'project'
-
- wrappers:
- - build-name:
- name: '$BUILD_NUMBER Suite: $YARDSTICK_SUITE_NAME Scenario: $DEPLOY_SCENARIO'
- - timeout:
- timeout: 400
- abort: true
-
- parameters:
- - project-parameter:
- project: '{project}'
- - '{installer}-defaults'
- - '{slave-label}-defaults':
- installer: '{installer}'
- - string:
- name: DEPLOY_SCENARIO
- default: 'os-odl_l2-nofeature-ha'
-
- scm:
- - git-scm:
- credentials-id: '{ssh-credentials}'
- refspec: ''
- branch: '{branch}'
-
- wrappers:
- - build-name:
- name: '$BUILD_NUMBER - Scenario: $DEPLOY_SCENARIO'
-
- builders:
- - description-setter:
- description: "Built on $NODE_NAME"
- - 'yardstick-sandbox-daily-builder'
-
-- job-template:
- name: 'functest-sandbox-{pod}-daily-{stream}'
-
- concurrent: true
-
- properties:
- - throttle:
- enabled: true
- max-per-node: 1
- option: 'project'
-
- wrappers:
- - build-name:
- name: '$BUILD_NUMBER Suite: $FUNCTEST_SUITE_NAME Scenario: $DEPLOY_SCENARIO'
- - timeout:
- timeout: 400
- abort: true
-
- parameters:
- - project-parameter:
- project: '{project}'
- - '{slave-label}-defaults'
- - '{installer}-defaults'
- - string:
- name: DEPLOY_SCENARIO
- default: 'os-odl_l2-nofeature-ha'
-
- scm:
- - git-scm:
- credentials-id: '{ssh-credentials}'
- refspec: ''
- branch: '{branch}'
-
- wrappers:
- - build-name:
- name: '$BUILD_NUMBER - Scenario: $DEPLOY_SCENARIO'
-
- builders:
- - description-setter:
- description: "Built on $NODE_NAME"
- - 'functest-sandbox-daily-builder'
-
-#####################################
-# builder macros
-#####################################
-- builder:
- name: 'sandbox-deploy-daily-builder'
- builders:
- - shell:
- !include-raw: ./deploy.sh
-
-- builder:
- name: 'functest-sandbox-daily-builder'
- builders:
- - shell:
- !include-raw: ./functest.sh
-
-- builder:
- name: 'yardstick-sandbox-daily-builder'
- builders:
- - shell:
- !include-raw: ./yardstick.sh
diff --git a/jjb/sandbox/sandbox-merge-jobs.yml b/jjb/sandbox/sandbox-merge-jobs.yml
deleted file mode 100644
index 69fcb4330..000000000
--- a/jjb/sandbox/sandbox-merge-jobs.yml
+++ /dev/null
@@ -1,159 +0,0 @@
-- project:
- name: 'sandbox-merge-jobs'
-
- project: 'sandbox'
-
- installer: 'sandbox'
-
- stream:
- - master:
- branch: '{stream}'
- gs-pathname: ''
-
-# what are the verification activities we do for this installer
- activity:
- - 'basic'
- - 'build'
- - 'promote'
-
- jobs:
- - 'sandbox-merge-{stream}'
- - 'sandbox-merge-{activity}-{stream}'
-
-- job-template:
- name: 'sandbox-merge-{stream}'
-
- parameters:
- - project-parameter:
- project: '{project}'
- - gerrit-parameter:
- branch: '{branch}'
- - 'opnfv-build-ubuntu-defaults'
-
- wrappers:
- - ssh-agent-credentials:
- users:
- - '{ssh-credentials}'
- - timeout:
- timeout: 360
- fail: true
-
- triggers:
- - gerrit:
- trigger-on:
- - change-merged-event
- - comment-added-contains-event:
- comment-contains-value: 'remerge'
- projects:
- - project-compare-type: 'ANT'
- project-pattern: '{project}'
- branches:
- - branch-compare-type: 'ANT'
- branch-pattern: '**/{branch}'
- forbidden-file-paths:
- - compare-type: ANT
- pattern: 'docs/**'
- readable-message: true
-
- builders:
- - description-setter:
- description: "Built on $NODE_NAME"
- - '{project}-merge-builder'
- - trigger-builds:
- - project: 'sandbox-merge-basic-{stream}'
- current-parameters: false
- predefined-parameters: |
- GERRIT_BRANCH=$GERRIT_BRANCH
- GERRIT_REFSPEC=$GERRIT_REFSPEC
- GERRIT_CHANGE_NUMBER=$GERRIT_CHANGE_NUMBER
- block: true
- - trigger-builds:
- - project: 'sandbox-merge-build-{stream}'
- current-parameters: false
- predefined-parameters: |
- GERRIT_BRANCH=$GERRIT_BRANCH
- GERRIT_REFSPEC=$GERRIT_REFSPEC
- GERRIT_CHANGE_NUMBER=$GERRIT_CHANGE_NUMBER
- block: true
- - trigger-builds:
- - project: 'sandbox-merge-promote-{stream}'
- current-parameters: false
- predefined-parameters: |
- GERRIT_BRANCH=$GERRIT_BRANCH
- GERRIT_REFSPEC=$GERRIT_REFSPEC
- GERRIT_CHANGE_NUMBER=$GERRIT_CHANGE_NUMBER
- block: true
-
-- job-template:
- name: 'sandbox-merge-{activity}-{stream}'
-
- scm:
- - gerrit-trigger-scm:
- credentials-id: '{ssh-credentials}'
- refspec: ''
- choosing-strategy: 'default'
-
- wrappers:
- - ssh-agent-credentials:
- users:
- - '{ssh-credentials}'
- - timeout:
- timeout: 360
- fail: true
-
- parameters:
- - project-parameter:
- project: '{project}'
- - gerrit-parameter:
- branch: '{branch}'
- - '{installer}-defaults'
- - '{project}-merge-{activity}-parameter'
-
- builders:
- - description-setter:
- description: "Built on $NODE_NAME"
- - '{project}-merge-{activity}-builder'
-
-#####################################
-# parameter builders
-#####################################
-- parameter:
- name: 'sandbox-merge-basic-parameter'
- parameters:
- - 'opnfv-build-ubuntu-defaults'
-
-- parameter:
- name: 'sandbox-merge-build-parameter'
- parameters:
- - 'opnfv-build-ubuntu-defaults'
-
-- parameter:
- name: 'sandbox-merge-promote-parameter'
- parameters:
- - 'opnfv-build-centos-defaults'
-#####################################
-# builder builders
-#####################################
-- builder:
- name: 'sandbox-merge-builder'
- builders:
- - shell:
- !include-raw: ./merge.sh
-
-- builder:
- name: 'sandbox-merge-basic-builder'
- builders:
- - shell:
- !include-raw: ./basic.sh
-
-- builder:
- name: 'sandbox-merge-build-builder'
- builders:
- - shell:
- !include-raw: ./build.sh
-
-- builder:
- name: 'sandbox-merge-promote-builder'
- builders:
- - shell:
- !include-raw: ./promote.sh
diff --git a/jjb/sandbox/sandbox-verify-jobs.yml b/jjb/sandbox/sandbox-verify-jobs.yml
deleted file mode 100644
index e0bc2183f..000000000
--- a/jjb/sandbox/sandbox-verify-jobs.yml
+++ /dev/null
@@ -1,234 +0,0 @@
-- project:
- name: 'sandbox-verify-jobs'
-
- project: 'sandbox'
-
- installer: 'sandbox'
-#####################################
-# branch definitions
-#####################################
- stream:
- - master:
- branch: '{stream}'
- gs-pathname: ''
- disabled: false
- - colorado:
- branch: 'stable/{stream}'
- gs-pathname: '/{stream}'
- disabled: true
-#####################################
-# patch verification phases
-#####################################
- phase:
- - 'basic':
- slave-label: 'opnfv-build-ubuntu'
- - 'build':
- slave-label: 'opnfv-build-ubuntu'
- - 'deploy-virtual':
- slave-label: 'sandbox-virtual'
- - 'smoke-test':
- slave-label: 'sandbox-virtual'
-#####################################
-# jobs
-#####################################
- jobs:
- - 'sandbox-verify-{stream}'
- - 'sandbox-verify-{phase}-{stream}'
-#####################################
-# job templates
-#####################################
-- job-template:
- name: 'sandbox-verify-{stream}'
-
- project-type: multijob
-
- disabled: '{obj:disabled}'
-
- concurrent: true
-
- properties:
- - throttle:
- enabled: true
- max-total: 2
- max-per-node: 1
- option: 'project'
- - build-blocker:
- use-build-blocker: true
- blocking-jobs:
- - 'sandbox-verify-master'
- - 'sandbox-verify-colorado'
- block-level: 'NODE'
-
- scm:
- - gerrit-trigger-scm:
- credentials-id: '{ssh-credentials}'
- refspec: '$GERRIT_REFSPEC'
- choosing-strategy: 'gerrit'
-
- wrappers:
- - ssh-agent-credentials:
- users:
- - '{ssh-credentials}'
- - timeout:
- timeout: 360
- fail: true
-
- triggers:
- - gerrit:
- trigger-on:
- - patchset-created-event:
- exclude-drafts: 'false'
- exclude-trivial-rebase: 'false'
- exclude-no-code-change: 'false'
- - draft-published-event
- - comment-added-contains-event:
- comment-contains-value: 'recheck'
- - comment-added-contains-event:
- comment-contains-value: 'reverify'
- projects:
- - project-compare-type: 'ANT'
- project-pattern: '{project}'
- branches:
- - branch-compare-type: 'ANT'
- branch-pattern: '**/{branch}'
- forbidden-file-paths:
- - compare-type: ANT
- pattern: 'docs/**|.gitignore'
- readable-message: true
-
- parameters:
- - project-parameter:
- project: '{project}'
- - gerrit-parameter:
- branch: '{branch}'
- - 'sandbox-virtual-defaults'
-
- builders:
- - description-setter:
- description: "Built on $NODE_NAME"
- - multijob:
- name: basic
- condition: SUCCESSFUL
- projects:
- - name: 'sandbox-verify-basic-{stream}'
- current-parameters: false
- predefined-parameters: |
- GERRIT_BRANCH=$GERRIT_BRANCH
- GERRIT_REFSPEC=$GERRIT_REFSPEC
- GERRIT_CHANGE_NUMBER=$GERRIT_CHANGE_NUMBER
- GERRIT_CHANGE_COMMIT_MESSAGE=$GERRIT_CHANGE_COMMIT_MESSAGE
- kill-phase-on: FAILURE
- abort-all-job: true
- - multijob:
- name: build
- condition: SUCCESSFUL
- projects:
- - name: 'sandbox-verify-build-{stream}'
- current-parameters: false
- predefined-parameters: |
- GERRIT_BRANCH=$GERRIT_BRANCH
- GERRIT_REFSPEC=$GERRIT_REFSPEC
- GERRIT_CHANGE_NUMBER=$GERRIT_CHANGE_NUMBER
- GERRIT_CHANGE_COMMIT_MESSAGE=$GERRIT_CHANGE_COMMIT_MESSAGE
- kill-phase-on: FAILURE
- abort-all-job: true
- - multijob:
- name: deploy-virtual
- condition: SUCCESSFUL
- projects:
- - name: 'sandbox-verify-deploy-virtual-{stream}'
- current-parameters: false
- predefined-parameters: |
- GERRIT_BRANCH=$GERRIT_BRANCH
- GERRIT_REFSPEC=$GERRIT_REFSPEC
- GERRIT_CHANGE_NUMBER=$GERRIT_CHANGE_NUMBER
- GERRIT_CHANGE_COMMIT_MESSAGE=$GERRIT_CHANGE_COMMIT_MESSAGE
- node-parameters: true
- kill-phase-on: FAILURE
- abort-all-job: true
- - multijob:
- name: smoke-test
- condition: SUCCESSFUL
- projects:
- - name: 'sandbox-verify-smoke-test-{stream}'
- current-parameters: false
- predefined-parameters: |
- GERRIT_BRANCH=$GERRIT_BRANCH
- GERRIT_REFSPEC=$GERRIT_REFSPEC
- GERRIT_CHANGE_NUMBER=$GERRIT_CHANGE_NUMBER
- GERRIT_CHANGE_COMMIT_MESSAGE=$GERRIT_CHANGE_COMMIT_MESSAGE
- node-parameters: true
- kill-phase-on: FAILURE
- abort-all-job: true
-
-- job-template:
- name: 'sandbox-verify-{phase}-{stream}'
-
- disabled: '{obj:disabled}'
-
- concurrent: true
-
- properties:
- - throttle:
- enabled: true
- max-total: 2
- max-per-node: 1
- option: 'project'
- - build-blocker:
- use-build-blocker: true
- blocking-jobs:
- - 'sandbox-verify-deploy-.*'
- - 'sandbox-verify-test-.*'
- block-level: 'NODE'
-
- scm:
- - gerrit-trigger-scm:
- credentials-id: '{ssh-credentials}'
- refspec: '$GERRIT_REFSPEC'
- choosing-strategy: 'gerrit'
-
- wrappers:
- - ssh-agent-credentials:
- users:
- - '{ssh-credentials}'
- - timeout:
- timeout: 360
- fail: true
- parameters:
- - project-parameter:
- project: '{project}'
- - gerrit-parameter:
- branch: '{branch}'
- - '{installer}-defaults'
- - '{slave-label}-defaults'
-
- builders:
- - description-setter:
- description: "Built on $NODE_NAME"
- - '{project}-verify-{phase}-macro'
-#####################################
-# builder macros
-#####################################
-- builder:
- name: 'sandbox-verify-basic-macro'
- builders:
- - shell:
- !include-raw: ./basic.sh
-
-- builder:
- name: 'sandbox-verify-build-macro'
- builders:
- - shell:
- !include-raw: ./build.sh
-
-- builder:
- name: 'sandbox-verify-deploy-virtual-macro'
- builders:
- - shell:
- !include-raw: ./deploy.sh
-
-- builder:
- name: 'sandbox-verify-smoke-test-macro'
- builders:
- - shell:
- !include-raw: ./test.sh
diff --git a/jjb/sandbox/sandbox-weekly-jobs.yml b/jjb/sandbox/sandbox-weekly-jobs.yml
deleted file mode 100644
index 52f852923..000000000
--- a/jjb/sandbox/sandbox-weekly-jobs.yml
+++ /dev/null
@@ -1,264 +0,0 @@
-- project:
- name: 'sandbox-weekly-jobs'
-
- project: 'sandbox'
-
- installer: 'sandbox'
-
-#--------------------------------
-# BRANCH ANCHORS
-#--------------------------------
- master: &master
- stream: master
- branch: '{stream}'
- gs-pathname: ''
-#--------------------------------
-# POD, INSTALLER, AND BRANCH MAPPING
-#--------------------------------
-# CI PODs
-#--------------------------------
- pod:
- - baremetal:
- slave-label: sandbox-baremetal
- <<: *master
- - virtual:
- slave-label: fuel-virtual
- <<: *master
-#--------------------------------
-# None-CI PODs
-#--------------------------------
- - dummy-pod1:
- slave-label: dummy-pod1
- <<: *master
-#--------------------------------
-# scenarios
-#--------------------------------
- scenario:
- # HA scenarios
- - 'os-nosdn-nofeature-ha':
- auto-trigger-name: 'weekly-trigger-disabled'
- - 'os-odl_l2-nofeature-ha':
- auto-trigger-name: 'weekly-trigger-disabled'
-
- jobs:
- - 'sandbox-{scenario}-{pod}-weekly-{stream}'
- - 'sandbox-deploy-{pod}-weekly-{stream}'
- - 'yardstick-sandbox-{pod}-weekly-{stream}'
- - 'functest-sandbox-{pod}-weekly-{stream}'
-
-########################
-# job templates
-########################
-- job-template:
- name: 'sandbox-{scenario}-{pod}-weekly-{stream}'
-
- concurrent: false
-
- properties:
- - throttle:
- enabled: true
- max-total: 4
- max-per-node: 1
- option: 'project'
- - build-blocker:
- use-build-blocker: true
- blocking-jobs:
- - 'sandbox-os-.*?-{pod}-weekly-{stream}'
- block-level: 'NODE'
-
- wrappers:
- - build-name:
- name: '$BUILD_NUMBER - Scenario: $DEPLOY_SCENARIO'
-
- triggers:
- - '{auto-trigger-name}'
-
- parameters:
- - project-parameter:
- project: '{project}'
- - '{installer}-defaults'
- - '{slave-label}-defaults'
- - string:
- name: DEPLOY_SCENARIO
- default: '{scenario}'
-
- builders:
- - description-setter:
- description: "Built on $NODE_NAME"
- - trigger-builds:
- - project: 'sandbox-deploy-{pod}-weekly-{stream}'
- current-parameters: false
- predefined-parameters:
- DEPLOY_SCENARIO={scenario}
- same-node: true
- block: true
- - trigger-builds:
- - project: 'yardstick-sandbox-{pod}-weekly-{stream}'
- current-parameters: false
- predefined-parameters:
- DEPLOY_SCENARIO={scenario}
- same-node: true
- block: true
- block-thresholds:
- build-step-failure-threshold: 'never'
- failure-threshold: 'never'
- unstable-threshold: 'FAILURE'
- - trigger-builds:
- - project: 'functest-sandbox-{pod}-weekly-{stream}'
- current-parameters: false
- predefined-parameters:
- DEPLOY_SCENARIO={scenario}
- block: true
- same-node: true
- block-thresholds:
- build-step-failure-threshold: 'never'
- failure-threshold: 'never'
- unstable-threshold: 'FAILURE'
-
-- job-template:
- name: 'sandbox-deploy-{pod}-weekly-{stream}'
-
- concurrent: true
-
- properties:
- - throttle:
- enabled: true
- max-total: 4
- max-per-node: 1
- option: 'project'
- - build-blocker:
- use-build-blocker: true
- blocking-jobs:
- - 'fuel-deploy-{pod}-weekly-{stream}'
- - 'fuel-deploy-generic-weekly-.*'
- block-level: 'NODE'
-
- parameters:
- - project-parameter:
- project: '{project}'
- - '{installer}-defaults'
- - '{slave-label}-defaults'
- - string:
- name: DEPLOY_SCENARIO
- default: 'os-odl_l2-nofeature-ha'
-
- scm:
- - git-scm:
- credentials-id: '{ssh-credentials}'
- refspec: ''
- branch: '{branch}'
-
- wrappers:
- - build-name:
- name: '$BUILD_NUMBER - Scenario: $DEPLOY_SCENARIO'
-
- builders:
- - description-setter:
- description: "Built on $NODE_NAME"
- - 'sandbox-deploy-weekly-builder'
-
-- job-template:
- name: 'yardstick-sandbox-{pod}-weekly-{stream}'
-
- concurrent: true
-
- properties:
- - throttle:
- enabled: true
- max-per-node: 1
- option: 'project'
-
- wrappers:
- - build-name:
- name: '$BUILD_NUMBER Suite: $YARDSTICK_SUITE_NAME Scenario: $DEPLOY_SCENARIO'
- - timeout:
- timeout: 400
- abort: true
-
- parameters:
- - project-parameter:
- project: '{project}'
- - '{installer}-defaults'
- - '{slave-label}-defaults':
- installer: '{installer}'
- - string:
- name: DEPLOY_SCENARIO
- default: 'os-odl_l2-nofeature-ha'
-
- scm:
- - git-scm:
- credentials-id: '{ssh-credentials}'
- refspec: ''
- branch: '{branch}'
-
- wrappers:
- - build-name:
- name: '$BUILD_NUMBER - Scenario: $DEPLOY_SCENARIO'
-
- builders:
- - description-setter:
- description: "Built on $NODE_NAME"
- - 'yardstick-sandbox-weekly-builder'
-
-- job-template:
- name: 'functest-sandbox-{pod}-weekly-{stream}'
-
- concurrent: true
-
- properties:
- - throttle:
- enabled: true
- max-per-node: 1
- option: 'project'
-
- wrappers:
- - build-name:
- name: '$BUILD_NUMBER Suite: $FUNCTEST_SUITE_NAME Scenario: $DEPLOY_SCENARIO'
- - timeout:
- timeout: 400
- abort: true
-
- parameters:
- - project-parameter:
- project: '{project}'
- - '{slave-label}-defaults'
- - '{installer}-defaults'
- - string:
- name: DEPLOY_SCENARIO
- default: 'os-odl_l2-nofeature-ha'
-
- scm:
- - git-scm:
- credentials-id: '{ssh-credentials}'
- refspec: ''
- branch: '{branch}'
-
- wrappers:
- - build-name:
- name: '$BUILD_NUMBER - Scenario: $DEPLOY_SCENARIO'
-
- builders:
- - description-setter:
- description: "Built on $NODE_NAME"
- - 'functest-sandbox-weekly-builder'
-
-#####################################
-# builder macros
-#####################################
-- builder:
- name: 'sandbox-deploy-weekly-builder'
- builders:
- - shell:
- !include-raw: ./deploy.sh
-
-- builder:
- name: 'functest-sandbox-weekly-builder'
- builders:
- - shell:
- !include-raw: ./functest.sh
-
-- builder:
- name: 'yardstick-sandbox-weekly-builder'
- builders:
- - shell:
- !include-raw: ./yardstick.sh
diff --git a/jjb/sandbox/test.sh b/jjb/sandbox/test.sh
deleted file mode 100755
index 33268558c..000000000
--- a/jjb/sandbox/test.sh
+++ /dev/null
@@ -1,63 +0,0 @@
-#!/bin/bash
-#set -o errexit
-#set -o nounset
-#set -o pipefail
-
-# get the job type
-# we only support verify, merge, daily and weekly jobs
-if [[ "$JOB_NAME" =~ (verify|merge|daily|weekly) ]]; then
- JOB_TYPE=${BASH_REMATCH[0]}
-else
- echo "Unable to determine job type!"
- exit 1
-fi
-
-# do stuff differently based on the job type
-case "$JOB_TYPE" in
- verify)
- echo "Running as part of verify job"
- ;;
- merge)
- echo "Running as part of merge job"
- ;;
- daily)
- echo "Running as part of daily job"
- ;;
- weekly)
- echo "Running as part of weekly job"
- ;;
- *)
- echo "Job type $JOB_TYPE is not supported!"
- exit 1
-esac
-
-# this just shows we can get the patch/commit information
-# no matter what job we are executed by
-cd $WORKSPACE
-echo
-echo "Commit Message is"
-echo "-------------------------------------"
-git log --format=%B -n 1 $(git rev-parse HEAD)
-echo "-------------------------------------"
-echo
-echo "Repo contents"
-echo "-------------------------------------"
-ls -al
-echo "-------------------------------------"
-echo
-echo "Changed files are"
-echo "-------------------------------------"
-git diff origin/master --name-only
-echo "-------------------------------------"
-echo
-echo "Change introduced"
-echo "-------------------------------------"
-git diff origin/master
-echo "-------------------------------------"
-echo
-echo "git show"
-echo "-------------------------------------"
-git show
-echo "-------------------------------------"
-
-sleep 60
diff --git a/jjb/sandbox/yardstick.sh b/jjb/sandbox/yardstick.sh
deleted file mode 100755
index 2f9be2729..000000000
--- a/jjb/sandbox/yardstick.sh
+++ /dev/null
@@ -1,61 +0,0 @@
-#!/bin/bash
-#set -o errexit
-#set -o nounset
-#set -o pipefail
-
-# get the job type
-# we only support verify, merge, daily and weekly jobs
-if [[ "$JOB_NAME" =~ (verify|merge|daily|weekly) ]]; then
- JOB_TYPE=${BASH_REMATCH[0]}
-else
- echo "Unable to determine job type!"
- exit 1
-fi
-
-# do stuff differently based on the job type
-case "$JOB_TYPE" in
- verify)
- echo "Running as part of verify job"
- ;;
- merge)
- echo "Running as part of merge job"
- ;;
- daily)
- echo "Running as part of daily job"
- ;;
- weekly)
- echo "Running as part of weekly job"
- ;;
- *)
- echo "Job type $JOB_TYPE is not supported!"
- exit 1
-esac
-
-# this just shows we can get the patch/commit information
-# no matter what job we are executed by
-cd $WORKSPACE
-echo
-echo "Commit Message is"
-echo "-------------------------------------"
-git log --format=%B -n 1 $(git rev-parse HEAD)
-echo "-------------------------------------"
-echo
-echo "Repo contents"
-echo "-------------------------------------"
-ls -al
-echo "-------------------------------------"
-echo
-echo "Changed files are"
-echo "-------------------------------------"
-git diff origin/master --name-only
-echo "-------------------------------------"
-echo
-echo "Change introduced"
-echo "-------------------------------------"
-git diff origin/master
-echo "-------------------------------------"
-echo
-echo "git show"
-echo "-------------------------------------"
-git show
-echo "-------------------------------------"